Subject: FVWM: FVWM Pager

From: Kendrick Vargas <[email-masked]>
Date: Mon, 1 Oct 2001 22:08:27 -0400 (EDT)

Is there any chance.. or... how difficult would it be to turn the pager
into a Gnome Applet?
			-peace

-- 
Let he who is without clue kiss my ass

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 10 Jul 2001 18:22:35 +0200

> Is there any chance.. or... how difficult would it be to turn the pager

I don't know the Gnome specs for applets, so I can't really answer
your question.  The EWMH spec includes some rules for pager
applications to communicate with desktop environments and this
will eventually be implemented in fvwm.  If your question is only
about swallowing the pager in some gnome specific panel or tool
bar, then it's probably quite easy to do - but keep in mind that
we don't want to introduce new dependencies with third party
libraries without good reason.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Kendrick Vargas <[email-masked]>
Date: Fri, 12 Oct 2001 16:59:23 -0400 (EDT)

> libraries without good reason.

Actually, what I meant was running the FVWM Pager outside of FVWM, so that
if I chose I could use it with other window managers. I love using FVWM at
work because it allows me to be extremely productive. However at home I
don't really care what window manager I use, and gnome isn't all that bad,
except that the only pager they have sucks more than a team of hoovers on
"high". I haven't seen a pager as configurable and useful as the one from
FVWM. So I was wondering if it'd be difficult to take the FvwmPager out of
fvwm and generalize it for something like Gnome.

PS> I have had fvwm running inside gnome for a while at my office. At home
I've been using Nautilus and other stuff for filemanagement, and some of
them don't play nice with fvwm...
			-peace

---

From: Dominik Vogt <[email-masked]>
Date: Sun, 14 Oct 2001 22:07:36 +0200

On Fri, Oct 12, 2001 at 04:59:23PM -0400, Kendrick Vargas wrote:
> if I chose I could use it with other window managers.

Ugh, no, that wouldn't be easy at all.  FvwmPager totally relies
on fvwm's module interface and even fvwm's built in commands.
Basically this would entail rewriting 50% of the code.

> I love using FVWM at

Bye

Dominik ^_^  ^_^